# bot/config.py

import os
from dotenv import load_dotenv

load_dotenv()

# --- Plex ---
PLEX_BASE_URL = os.getenv("PLEX_BASE_URL")
PLEX_TOKEN = os.getenv("PLEX_TOKEN")

# --- OpenAI ---
OPENAI_API_KEY = os.getenv("OPENAI_API_KEY")
OPENAI_MODEL = os.getenv("OPENAI_MODEL", "gpt-4")

# --- Caching ---
CACHE_FILE = os.getenv("CACHE_FILE", "bot/library_cache.json")
MAX_CACHE_AGE_HOURS = int(os.getenv("MAX_CACHE_AGE_HOURS", 6))

# --- Discord Bot ---
DISCORD_BOT_TOKEN = os.getenv("DISCORD_BOT_TOKEN")
